apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: dev-sonarqube
  title: sonarqube (dev)
  description: sonarqube instance running in Kubernetes
  annotations:
    backstage.io/kubernetes-label-selector: "app=sonarqube"
  links:
    - url: https://github.com/AllardKrings/kubernetes/dev/sonarqube
      title: sonarqube-configuration
  docs:
    - url: ./README.md
spec:
  type: service
  lifecycle: production
  owner: group:default/allarddcs
  subcomponentOf: component:default/DEV-cluster

